QT       += core gui
QT       += core gui quickwidgets positioning location
QT       += multimedia
QT += multimediawidgets
QT += webenginewidgets webchannel
QT += sql
QT += charts

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    DogDatabase.cpp \
    InjuryAnalysisUI.cpp \
    InjuryDatabase.cpp \
    UAVDatabase.cpp \
    injurydisiplayui.cpp \
    main.cpp \
    guidingui.cpp

HEADERS += \
    DogDatabase.h \
    InjuryAnalysisUI.h \
    InjuryDatabase.h \
    UAVDatabase.h \
    guidingui.h \
    injurydisiplayui.h

FORMS += \
    InjuryAnalysisUI.ui \
    guidingui.ui \
    injurydisiplayui.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    res.qrc
